"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recentQueryStorageAccessLocator = exports.useRecentQueryStorageAccess = exports.favoriteQueryStorageAccessLocator = exports.useFavoriteQueryStorageAccess = exports.pipelineStorageLocator = exports.usePipelineStorage = exports.RecentQueryStorageProvider = exports.FavoriteQueryStorageProvider = exports.PipelineStorageProvider = void 0;
const react_1 = require("react");
const hadron_app_registry_1 = require("hadron-app-registry");
const PipelineStorageContext = (0, react_1.createContext)(undefined);
const FavoriteQueryStorageContext = (0, react_1.createContext)(undefined);
const RecentQueryStorageContext = (0, react_1.createContext)(undefined);
exports.PipelineStorageProvider = PipelineStorageContext.Provider;
exports.FavoriteQueryStorageProvider = FavoriteQueryStorageContext.Provider;
exports.RecentQueryStorageProvider = RecentQueryStorageContext.Provider;
const usePipelineStorage = () => (0, react_1.useContext)(PipelineStorageContext);
exports.usePipelineStorage = usePipelineStorage;
exports.pipelineStorageLocator = (0, hadron_app_registry_1.createServiceLocator)(exports.usePipelineStorage, 'pipelineStorageLocator');
const useFavoriteQueryStorageAccess = () => (0, react_1.useContext)(FavoriteQueryStorageContext);
exports.useFavoriteQueryStorageAccess = useFavoriteQueryStorageAccess;
exports.favoriteQueryStorageAccessLocator = (0, hadron_app_registry_1.createServiceLocator)(exports.useFavoriteQueryStorageAccess, 'favoriteQueryStorageAccessLocator');
const useRecentQueryStorageAccess = () => (0, react_1.useContext)(RecentQueryStorageContext);
exports.useRecentQueryStorageAccess = useRecentQueryStorageAccess;
exports.recentQueryStorageAccessLocator = (0, hadron_app_registry_1.createServiceLocator)(exports.useRecentQueryStorageAccess, 'recentQueryStorageAccessLocator');
//# sourceMappingURL=provider.js.map