import { z } from '@mongodb-js/compass-user-data';
export declare const RecentQuerySchema: z.ZodObject<{
    _id: z.ZodString;
    _lastExecuted: z.ZodEffects<z.ZodUnion<[z.ZodDate, z.ZodNumber]>, Date, number | Date>;
    _ns: z.ZodString;
    _host: z.ZodOptional<z.ZodString>;
    filter: z.ZodOptional<z.ZodAny>;
    project: z.ZodOptional<z.ZodAny>;
    collation: z.ZodOptional<z.ZodAny>;
    sort: z.ZodOptional<z.ZodAny>;
    skip: z.ZodOptional<z.ZodNumber>;
    limit: z.ZodOptional<z.ZodNumber>;
    update: z.ZodOptional<z.ZodAny>;
    hint: z.ZodOptional<z.ZodAny>;
}, "strip", z.ZodTypeAny, {
    _id: string;
    _lastExecuted: Date;
    _ns: string;
    sort?: any;
    filter?: any;
    _host?: string | undefined;
    project?: any;
    collation?: any;
    skip?: number | undefined;
    limit?: number | undefined;
    update?: any;
    hint?: any;
}, {
    _id: string;
    _lastExecuted: number | Date;
    _ns: string;
    sort?: any;
    filter?: any;
    _host?: string | undefined;
    project?: any;
    collation?: any;
    skip?: number | undefined;
    limit?: number | undefined;
    update?: any;
    hint?: any;
}>;
export declare const FavoriteQuerySchema: z.ZodObject<{
    _name: z.ZodString;
    _dateModified: z.ZodEffects<z.ZodOptional<z.ZodUnion<[z.ZodDate, z.ZodNumber]>>, Date | undefined, number | Date | undefined>;
    _dateSaved: z.ZodEffects<z.ZodUnion<[z.ZodDate, z.ZodNumber]>, Date, number | Date>;
    _id: z.ZodString;
    _lastExecuted: z.ZodEffects<z.ZodUnion<[z.ZodDate, z.ZodNumber]>, Date, number | Date>;
    _ns: z.ZodString;
    _host: z.ZodOptional<z.ZodString>;
    filter: z.ZodOptional<z.ZodAny>;
    project: z.ZodOptional<z.ZodAny>;
    collation: z.ZodOptional<z.ZodAny>;
    sort: z.ZodOptional<z.ZodAny>;
    skip: z.ZodOptional<z.ZodNumber>;
    limit: z.ZodOptional<z.ZodNumber>;
    update: z.ZodOptional<z.ZodAny>;
    hint: z.ZodOptional<z.ZodAny>;
}, "strip", z.ZodTypeAny, {
    _id: string;
    _lastExecuted: Date;
    _ns: string;
    _name: string;
    _dateSaved: Date;
    sort?: any;
    filter?: any;
    _host?: string | undefined;
    project?: any;
    collation?: any;
    skip?: number | undefined;
    limit?: number | undefined;
    update?: any;
    hint?: any;
    _dateModified?: Date | undefined;
}, {
    _id: string;
    _lastExecuted: number | Date;
    _ns: string;
    _name: string;
    _dateSaved: number | Date;
    sort?: any;
    filter?: any;
    _host?: string | undefined;
    project?: any;
    collation?: any;
    skip?: number | undefined;
    limit?: number | undefined;
    update?: any;
    hint?: any;
    _dateModified?: number | Date | undefined;
}>;
export type RecentQuery = z.output<typeof RecentQuerySchema>;
export type FavoriteQuery = z.output<typeof FavoriteQuerySchema>;
//# sourceMappingURL=query-storage-schema.d.ts.map